import { type Plugin } from "esbuild";
import { ESLint } from "eslint";
interface Options extends ESLint.Options {
    /**
     * tells esbuild what files to look at; only matches will be processed
     */
    filter?: RegExp;
    /**
     * controls whether or not to forward an error to esbuild when eslint reports any warnings
     */
    throwOnWarning?: boolean;
    /**
     * controls whether or not to forward an error to esbuild when eslint reports any errors
     */
    throwOnError?: boolean;
}
declare const _default: ({ filter, throwOnWarning, throwOnError, ...eslintOptions }?: Options) => Plugin;
export default _default;
